% Teste avec OCTAVE 6.4.0
% Utilise la fonction : PlotPendule. 
clear all
close all

FrameRate=30;Step=10;
T=5;       % temps final
N=T*FrameRate*Step;
L=3;R=0.2; % Parametres graphiques du pendule

% pour simuler la rotation : physiquement faux (sauf sans viscosite et en apenseteur!)
theta=@(t) pi*t;
t=0:T/N:T;

n=length(t);
figure(1,'position',[50 50 1000 1000]);
% ou suivant les versions de Matlab/Octave
% set(figure(1),'position',[50 50 1000 1000])

% Enregistrement en memoire de la video
k=1;
for j=1:Step:n
  cla
  PlotPendule(L,R,theta(t(j)));
  title(sprintf('\\theta(%2.2f)=%2.2f',t(j),theta(t(j)) ),'fontsize',12)
  drawnow
  F(k)=getframe(gcf);
  k=k+1;
end

% Visualisation de la video
figure(2,'position',[50 50 1000 1000])
% ou suivant les versions de Matlab/Octave
% set(figure(2),'position',[50 50 1000 1000])
axis off
axis equal
movie(F,1,FrameRate)

% Possibilite d'enregistrer la video avec installation du package "video" d'Octave
